rte_meter_trtcm_params(3)

NAME
rte_meter_trtcm_params

SYNOPSIS

#include <rte_meter.h>

  Data Fields

uint64_t cir
uint64_t pir
uint64_t cbs
uint64_t pbs

Detailed Description

trTCM parameters per metered traffic flow. The CIR, PIR, CBS and PBS parameters only count bytes of IP packets and do not include link specific headers. PIR has to be greater than or equal to CIR. Both CBS or EBS have to be greater than zero.

Definition at line 50 of file rte_meter.h.

Field Documentation

  uint64_t cir
Committed Information Rate (CIR). Measured in bytes per second.

Definition at line 51 of file rte_meter.h.

  uint64_t pir
Peak Information Rate (PIR). Measured in bytes per second.

Definition at line 52 of file rte_meter.h.

  uint64_t cbs
Committed Burst Size (CBS). Measured in bytes.

Definition at line 53 of file rte_meter.h.

  uint64_t pbs
Peak Burst Size (PBS). Measured in bytes.

Definition at line 54 of file rte_meter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.